## EPluginUIHook EPluginUIHook |

## Functions

gboolean | (*EPluginUIInitFunc) ()
void | e_plugin_ui_register_manager ()
void | e_plugin_ui_enable_manager ()
void | e_plugin_ui_disable_manager ()

## Description

## Functions

### EPluginUIInitFunc ()

    gboolean
    (*EPluginUIInitFunc) (GtkUIManager *ui_manager,
                          gpointer user_data);

`EPluginUIInitFunc` is deprecated and should not be used in newly-written code.

### e_plugin_ui_register_manager ()

    void
    e_plugin_ui_register_manager (GtkUIManager *ui_manager,
                                  const gchar *id,
                                  gpointer user_data);

`e_plugin_ui_register_manager` is deprecated and should not be used in newly-written code.

### e_plugin_ui_enable_manager ()

    void
    e_plugin_ui_enable_manager (GtkUIManager *ui_manager,
                                const gchar *id);

`e_plugin_ui_enable_manager` is deprecated and should not be used in newly-written code.

### e_plugin_ui_disable_manager ()

    void
    e_plugin_ui_disable_manager (GtkUIManager *ui_manager,
                                 const gchar *id);

`e_plugin_ui_disable_manager` is deprecated and should not be used in newly-written code.

## Types and Values